Loading...
Searching...
No Matches
lag2: general matrix, convert double <=> single
LAPACK » BLAS-like » Initialize, copy, convert
Collaboration diagram for <em>lag2</em>: general matrix, convert double <=> single:

## Functions

subroutine | clag2z (m, n, sa, ldsa, a, lda, info)
| CLAG2Z converts a complex single precision matrix to a complex double precision matrix.
subroutine | dlag2s (m, n, a, lda, sa, ldsa, info)
| DLAG2S converts a double precision matrix to a single precision matrix.
subroutine | slag2d (m, n, sa, ldsa, a, lda, info)
| SLAG2D converts a single precision matrix to a double precision matrix.
subroutine | zlag2c (m, n, a, lda, sa, ldsa, info)
| ZLAG2C converts a complex double precision matrix to a complex single precision matrix.

## Detailed Description